Project

Profile

Help

Issue #8653

closed

Debian Migration fails with the duplicate key error

Added by ipanova@redhat.com about 1 year ago. Updated about 1 year ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 96
Quarter:

Description

Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: django.db.utils.IntegrityError: duplicate key value violates unique constraint “core_remote_name_key”
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: DETAIL: Key (name)=(5f15602283d6e4509ee59ecd-31624b81-ab69-49a4-a101-dc06ca079e80) already exists.
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: Traceback (most recent call last):
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/django/db/models/query.py”, line 554, in update_or_create
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: obj = self.select_for_update().get(**kwargs)
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/django/db/models/query.py”, line 408, in get
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: self.model._meta.object_name
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: pulp_deb.app.models.remote.AptRemote.DoesNotExist: AptRemote matching query does not exist.
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: During handling of the above exception, another exception occurred:
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: Traceback (most recent call last):
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: return self.cursor.execute(sql, params)
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint “core_remote_name_key”
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: DETAIL: Key (name)=(5f15602283d6e4509ee59ecd-31624b81-ab69-49a4-a101-dc06ca079e80) already exists.
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: The above exception was the direct cause of the following exception:
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: Traceback (most recent call last):
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/rq/worker.py”, line 936, in perform_job
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: rv = job.perform()
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/rq/job.py”, line 684, in perform
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: self._result = self._execute()
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/rq/job.py”, line 690, in _execute
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: return self.func(*self.args, **self.kwargs)
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: File “/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/tasks/migrate.py”, line 80, in migrate_from_pulp2
Apr 28 16:25:42 foreman.com pulpcore-worker-2[1165]: migrate_importers(plan)
Actions #2

Updated by ipanova@redhat.com about 1 year ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to ipanova@redhat.com
  • Sprint set to Sprint 95
Actions #3

Updated by rchan about 1 year ago

  • Sprint changed from Sprint 95 to Sprint 96

Added by ipanova@redhat.com about 1 year ago

Revision ca4c8a53

Fixed Debian importer migration on a re-run.

closes #8653

Added by ipanova@redhat.com about 1 year ago

Revision ca4c8a53

Fixed Debian importer migration on a re-run.

closes #8653

Added by ipanova@redhat.com about 1 year ago

Revision ca4c8a53

Fixed Debian importer migration on a re-run.

closes #8653

Actions #4

Updated by ipanova@redhat.com about 1 year ago

  • Status changed from ASSIGNED to MODIFIED
Actions #5

Updated by ttereshc about 1 year ago

  • Sprint/Milestone set to 0.11.1

Added by ipanova@redhat.com about 1 year ago

Revision 6a08da29

Fixed Debian importer migration on a re-run.

closes #8653

(cherry picked from commit ca4c8a53c024c122a1a25b0d8b34dfb095bc3836)

Added by ipanova@redhat.com about 1 year ago

Revision 6a08da29

Fixed Debian importer migration on a re-run.

closes #8653

(cherry picked from commit ca4c8a53c024c122a1a25b0d8b34dfb095bc3836)

Added by ipanova@redhat.com about 1 year ago

Revision 6a08da29

Fixed Debian importer migration on a re-run.

closes #8653

(cherry picked from commit ca4c8a53c024c122a1a25b0d8b34dfb095bc3836)

Actions #6

Updated by pulpbot about 1 year ago

  • Status changed from MODIFIED to CLOSED - CURRENTRELEASE

Also available in: Atom PDF